Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 522080 - auditd does not support force-reload and try-restart init script action
Summary: auditd does not support force-reload and try-restart init script action
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: audit
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Steve Grubb
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: InitScriptsProject 539460
TreeView+ depends on / blocked
 
Reported: 2009-09-09 12:49 UTC by Eduard Benes
Modified: 2009-11-20 09:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 539460 (view as bug list)
Environment:
Last Closed: 2009-09-28 20:47:13 UTC
Type: ---


Attachments (Terms of Use)

Description Eduard Benes 2009-09-09 12:49:32 UTC
Description of problem:
Testing init script according to guidelines at [1],[2],[3] shows that auditd does not recognize force-reload (and also optional action "try-restart") actions, required by LSB[3].

Version-Release number of selected component (if applicable):
audit RPM version: 2.0-3.fc12

Actual results:
# service auditd force-reload ; echo $?
Usage: /etc/init.d/auditd {start|stop|status|restart|condrestart|reload|rotate|resume}
3
# service auditd try-restart ; echo $?
Usage: /etc/init.d/auditd {start|stop|status|restart|condrestart|reload|rotate|resume}
3

Expected results:
recognize the force-reload action and according to [1] do:
 * force-reload: "force-reload cause the configuration to be reloaded if the service supports this, otherwise restart the service if it is running." 
 * try-restart: "try-restart restart the service if the service is already running"

Additional info:
[1] - https://fedoraproject.org/wiki/FCNewInit/Initscripts
[2] - https://fedoraproject.org/wiki/Packaging/SysVInitScript
[3] - http://refspecs.linux-foundation.org/LSB_3.2.0/LSB-Core-generic/LSB-Core-generic/iniscrptact.html

Comment 1 Steve Grubb 2009-09-15 17:14:37 UTC
The init script was changed upstream.

https://fedorahosted.org/audit/changeset/315

Will push into rawhide before the freeze.

Comment 2 Steve Grubb 2009-09-28 20:47:13 UTC
Audit-2.0.1 was built into rawhide and should fix this issue. If not, please re-open the bug. Thanks for reporting it.


Note You need to log in before you can comment on or make changes to this bug.